import React from 'react';
import { View } from 'react-native';
import Label from '../../Label';
import Line from '../Line';
import styles from './style';
import * as typing from './AxisX.type';
const AxisX = (props) => {
    const { data, Interval, style, } = props;
    return (React.createElement(View, { style: [styles.AxisX, style.AxisX] },
        React.createElement(Line, { style: style.lineX }),
        React.createElement(View, { style: styles.labelGroupX }, data.map((name, index) => {
            const key = index;
            return ((index + 1) % Interval !== 0
                ? React.createElement(Label, { key: key, label: { title: `${name}`, style: [styles.labelX, style.labelX] } })
                : React.createElement(Label, { key: key, label: { title: '', style: [styles.labelX, style.labelX] } }));
        }))));
};
AxisX.defaultProps = new typing.Props();
export default AxisX;
//# sourceMappingURL=AxisX.js.map