import React from 'react';
import { View } from 'react-native';
import Chart from './Chart';
import styles from './style';
const handleData = (arrX, arrValue, data) => {
    data.forEach((el) => {
        arrX.push(el.x);
        arrValue.push(el.value);
        return null;
    });
    return Math.max(...arrValue);
};
const BarChart = (props) => {
    const { data, style, splitNumber, Interval, } = props;
    const AxisStyle = {
        AxisX: styles.AxisX,
        AxisY: styles.AxisY,
        labelX: styles.labelX,
        labelY: styles.labelY,
        lineX: styles.lineX,
        lineY: styles.lineY,
    };
    const RectangularStyle = {
        grid: styles.grid,
        bar: styles.bar,
    };
    const arrValue = [];
    const arrX = [];
    const max = handleData(arrX, arrValue, data);
    const onClick = (item) => {
        console.log(item);
    };
    return (React.createElement(View, { style: { flex: 1 } },
        React.createElement(View, { style: { flex: 1, flexDirection: 'row' } },
            React.createElement(Chart.AxisY, { max: max, style: Object.assign(AxisStyle, style.AxisStyle), splitNumber: splitNumber }),
            React.createElement(Chart, null, data.map((el, idx) => {
                const key = `key_${idx}`;
                return (React.createElement(Chart.Rectangular, { onClick: onClick, style: Object.assign(RectangularStyle, style.RectangularStyle), key: key, data: el, label: { title: `${el.value}`, style: [styles.barLabel, style.RectangularStyle.barLabel] }, max: max }));
            }))),
        React.createElement(Chart.AxisX, { data: arrX, style: Object.assign(AxisStyle, style.AxisStyle), Interval: Interval })));
};
export default BarChart;
//# sourceMappingURL=BarChart.js.map