import React, { Component, } from 'react';
import { Image, Dimensions, Text, View, TouchableWithoutFeedback, } from 'react-native';
import Swiper from '../Swiper';
import ImageZoom from '../ImageZoom';
const DEVICE_WIDTH = Dimensions.get('window').width;
const DEVICE_HEIGHT = Dimensions.get('window').height;
export class GalleryDefaultProps {
    constructor() {
        this.imgs = [];
    }
}
const styles = {
    saveBtn: {
        position: 'absolute',
        bottom: 40, right: 20,
        height: 30,
        justifyContent: 'center',
        alignItems: 'center',
    },
    cancelBtn: {
        position: 'absolute',
        bottom: 40, left: 20,
        height: 30,
        justifyContent: 'center',
        alignItems: 'center',
    },
    btnText: {
        color: 'rgba(255, 255, 255, 0.3)',
        fontSize: 18,
    },
};
export default class Gallery extends Component {
    constructor() {
        super(...arguments);
        this._onSavePress = (uri) => {
            if (typeof this.props.onSavePress === 'function')
                this.props.onSavePress(uri);
        };
        this._onCancelPress = () => {
            if (typeof this.props.onCancelPress === 'function')
                this.props.onCancelPress();
        };
        this.renderSavebtn = () => {
            if (this.props.saveBtn) {
                return this.props.saveBtn;
            }
            return (React.createElement(View, { style: styles.saveBtn },
                React.createElement(Text, { style: styles.btnText }, "\u4FDD\u5B58\u5230\u624B\u673A")));
        };
        this.renderCancelbtn = () => {
            if (this.props.cancelBtn) {
                return this.props.cancelBtn;
            }
            return (React.createElement(View, { style: styles.cancelBtn },
                React.createElement(Text, { style: styles.btnText }, "\u5173\u95ED")));
        };
        this.renderImgs = () => this.props.imgs.map((img, index) => {
            const onSavePress = () => this._onSavePress(img.uri);
            const onCancelPress = () => this._onCancelPress();
            return (React.createElement(View, { key: index, style: { flex: 1, position: 'relative' } },
                React.createElement(ImageZoom, { cropWidth: DEVICE_WIDTH, cropHeight: DEVICE_HEIGHT, imageWidth: DEVICE_WIDTH, imageHeight: DEVICE_HEIGHT, panToMove: true },
                    React.createElement(Image, { source: img, style: { flex: 1 }, resizeMode: "contain" })),
                React.createElement(TouchableWithoutFeedback, { onPress: onSavePress }, this.renderSavebtn()),
                React.createElement(TouchableWithoutFeedback, { onPress: onCancelPress }, this.renderCancelbtn())));
        });
    }
    render() {
        return (React.createElement(Swiper, null, this.renderImgs()));
    }
}
Gallery.defaultProps = new GalleryDefaultProps();
//# sourceMappingURL=index.js.map