import React, { Component } from 'react';
import { Text, TouchableWithoutFeedback, View } from 'react-native';
import { noop } from '../Tools';
export class Props {
    constructor() {
        this.left = '取消';
        this.right = '确定';
        this.onPressLeft = noop;
        this.onPressRight = noop;
        this.children = null;
        this.style = null;
    }
}
const styles = {
    header: {
        alignItems: 'center',
        flexDirection: 'row',
        justifyContent: 'space-between',
        minHeight: 48
    },
};
class Header extends Component {
    render() {
        const { children, left, onPressLeft, onPressRight, right, style, } = this.props;
        let left$ = left;
        let right$ = right;
        // 转义左侧
        if (typeof left$ === 'string') {
            left$ = React.createElement(Text, null, left$);
        }
        if (left$.type === Text) {
            left$ = (React.createElement(TouchableWithoutFeedback, { onPress: onPressLeft },
                React.createElement(View, null, left$)));
        }
        // 转义右侧
        if (typeof right$ === 'string') {
            right$ = React.createElement(Text, null, right$);
        }
        if (right$.type === Text) {
            right$ = (React.createElement(TouchableWithoutFeedback, { onPress: onPressRight },
                React.createElement(View, null, right$)));
        }
        return (React.createElement(View, { style: [styles.header, style] },
            left$,
            children,
            right$));
    }
}
Header.defaultProps = new Props();
export default Header;
//# sourceMappingURL=index.js.map