import React, { Component, } from 'react';
import { Dimensions, ScrollView, } from 'react-native';
const DEVICE_WIDTH = Dimensions.get('window').width;
const NOOP = () => { };
export class HScrollViewDefaultProps {
    constructor() {
        this.currentPage = 0;
        this.scrollEnded = NOOP;
        this.children = null;
    }
}
export class HScrollViewDefaultStates {
    constructor(currentPage, containerWidth) {
        this.currentPage = this.currentPage;
        this.containerWidth = this.containerWidth;
        this.currentPage = currentPage;
        this.containerWidth = containerWidth;
    }
}
export default class HScrollView extends Component {
    constructor(props) {
        super(props);
        this.scrollEnded = (event) => {
            const position = event.nativeEvent.contentOffset.x;
            const currentPage = position / DEVICE_WIDTH;
            if (currentPage !== this.state.currentPage) {
                this.scrollToItem(currentPage);
                this.setState({ currentPage });
                if (typeof this.props.scrollEnded === 'function') {
                    this.props.scrollEnded(currentPage);
                }
            }
        };
        this.scrollToItem = (itemIndex) => {
            const scrollToX = itemIndex * DEVICE_WIDTH;
            setTimeout(() => {
                if (!!this.screen) {
                    this.screen.scrollTo({ y: 0, x: scrollToX, animated: true });
                }
            }, 0);
        };
        this.state = new HScrollViewDefaultStates(props.currentPage, DEVICE_WIDTH);
    }
    componentWillReceiveProps(nextProps) {
        if (this.props.currentPage !== nextProps.currentPage) {
            this.scrollToItem(nextProps.currentPage);
        }
    }
    render() {
        return (React.createElement(ScrollView, { ref: (ref) => { this.screen = ref; }, horizontal: true, scrollEnabled: false, pagingEnabled: true, removeClippedSubviews: true, showsHorizontalScrollIndicator: false, automaticallyAdjustContentInsets: false, onMomentumScrollEnd: this.scrollEnded }, this.props.children));
    }
}
HScrollView.defaultProps = new HScrollViewDefaultProps();
//# sourceMappingURL=Animate.js.map