import React, { Component, } from 'react';
import { Dimensions, ScrollView, } from 'react-native';
import Animate from './Animate';
const DEVICE_WIDTH = Dimensions.get('window').width;
const NOOP = () => { };
export class HScrollViewDefaultProps {
    constructor() {
        this.currentPage = 0;
        this.scrollEnded = NOOP;
        this.children = null;
    }
}
export class HScrollViewDefaultState {
    constructor(props, width) {
        this.currentPage = props.currentPage;
        this.containerWidth = width;
    }
}
class HScrollView extends Component {
    constructor(props) {
        super(props);
        this.scrollEnded = (event) => {
            const position = event.nativeEvent.contentOffset.x;
            const currentPage = position / DEVICE_WIDTH;
            if (currentPage !== this.state.currentPage) {
                this.scrollToItem(currentPage);
                this.setState({ currentPage });
                this.props.scrollEnded(currentPage);
            }
        };
        this.scrollToItem = (itemIndex) => {
            const scrollToX = itemIndex * DEVICE_WIDTH;
            setTimeout(() => {
                if (!!this.screen) {
                    this.screen.scrollTo({ y: 0, x: scrollToX, animated: true });
                }
            }, 0);
        };
        this.state = new HScrollViewDefaultState(this.props, DEVICE_WIDTH);
    }
    componentWillReceiveProps(nextProps) {
        if (this.props.currentPage !== nextProps.currentPage) {
            this.scrollToItem(nextProps.currentPage);
        }
    }
    render() {
        return (React.createElement(ScrollView, { ref: (ref) => { this.screen = ref; }, horizontal: true, scrollEnabled: true, pagingEnabled: true, scrollEventThrottle: 500, removeClippedSubviews: true, showsHorizontalScrollIndicator: false, automaticallyAdjustContentInsets: true, onMomentumScrollEnd: this.scrollEnded }, this.props.children));
    }
}
HScrollView.defaultProps = new HScrollViewDefaultProps();
HScrollView.Animate = Animate;
export default HScrollView;
//# sourceMappingURL=index.js.map