/// <reference types="react" />
/**
 * 下方弹出框
 * @CopyLeft [rnx-ui](https://github.com/rnxteam/rnx-ui/tree/master/Sheet)
 */
import { Component, ReactNode } from 'react';
import { Animated, ViewStyle, ViewProperties } from 'react-native';
export interface SheetProp extends ViewProperties {
    style?: ViewStyle;
    visible: boolean;
    overlayStyle?: ViewStyle;
    onClose?: () => void;
    onPressOverlay?: () => void;
    children?: ReactNode;
    duration?: number;
}
export declare class SheetDefaultProp implements SheetProp {
    style: any;
    visible: boolean;
    overlayStyle: any;
    onClose: () => void;
    onPressOverlay: () => void;
    children: any;
    duration: number;
}
export interface SheetState {
    overlayVisible: boolean;
    animDistance: any;
}
export default class Sheet extends Component<SheetProp, SheetState> {
    [x: string]: any;
    static defaultProps: SheetDefaultProp;
    constructor(props: any);
    componentWillMount(): void;
    componentWillReceiveProps(props: any): void;
    getHeight: (e: any) => void;
    makeAnimation: (toValue: any) => Animated.CompositeAnimation;
    show: () => void;
    hide: () => void;
    render(): JSX.Element;
}
