import React, { Component, } from 'react';
import { Dimensions } from 'react-native';
import ScrollView from '../ScrollView';
import Scene from '../Scene';
export class SwiperDefaultProps {
    constructor() {
        this.children = [];
        this.currentPage = 0;
    }
}
export class SwiperState {
    constructor(props) {
        this.currentPage = props.currentPage;
    }
}
const DEVICE_WIDTH = Dimensions.get('window').width;
class Swiper extends Component {
    constructor(props) {
        super(props);
        this.state = new SwiperState(this.props);
        this.getChildren = (children = this.props.children) => React.Children.map(children, child => child);
        this.goToScene = (nextNumber) => {
            const currentPage = this.state.currentPage;
            if (this.onActive[nextNumber]) {
                this.onActive[nextNumber]();
            }
            if (this.onDeactive[currentPage]) {
                this.onDeactive[currentPage]();
            }
            this.setState({ currentPage: nextNumber });
        };
        this.renderScene = () => this.getChildren().map(((child, index) => {
            const key = index;
            if (typeof child.props.onActive === 'function') {
                this.bindEvent(this.onActive, key, child.props.onActive);
            }
            if (typeof child.props.onDeactive === 'function') {
                this.bindEvent(this.onDeactive, key, child.props.onDeactive);
            }
            return (React.createElement(Scene, { key: child.key, style: [{ width: DEVICE_WIDTH }, child.props.style] }, child));
        }));
        this.onActive = [];
        this.onDeactive = [];
    }
    bindOnActive(key, callback) {
        this.onActive[key] = callback;
    }
    bindEvent(obj, key, callback) {
        const arr = obj;
        arr[key] = callback;
    }
    render() {
        return (React.createElement(ScrollView, { scrollEnded: this.goToScene, currentPage: 1 }, this.renderScene()));
    }
}
Swiper.defaultProps = new SwiperDefaultProps();
export default Swiper;
//# sourceMappingURL=index.js.map