import React from 'react';
import { Text, View, } from 'react-native';
import { 
// @types
TabBarDefaultProps, } from './';
import Touch from '../Touch';
const styles = {
    tabBarStyle: {
        marginTop: 30,
        height: 20,
        flexDirection: 'row',
        justifyContent: 'space-around',
    },
    endbutton: {
        flex: 3,
        alignItems: 'flex-end',
        height: 20,
    },
    button: {
        flex: 1,
        height: 20,
    },
};
export class ExtendTabBarDefaultProps extends TabBarDefaultProps {
}
const renderBar = (tab, index, props) => {
    const onPress = () => props.goToScene(index);
    if (index === 2) {
        return (React.createElement(Touch, { key: index, style: styles.endbutton, onPress: onPress },
            React.createElement(Text, null, tab)));
    }
    return (React.createElement(Touch, { key: index, style: styles.button, onPress: onPress },
        React.createElement(Text, null, tab)));
};
const ExtendTabBar = (props) => {
    return (React.createElement(View, { style: [styles.tabBarStyle, props.tabBarStyle] }, props.tabs.map((item, index) => renderBar(item, index, props))));
};
ExtendTabBar.defaultProps = new ExtendTabBarDefaultProps();
export default ExtendTabBar;
//# sourceMappingURL=ExtendTabBar.js.map