/// <reference types="react" />
import { Component, ReactNode } from 'react';
import { Animated, ViewStyle, TextStyle, ViewProperties } from 'react-native';
export interface TabBarProps extends ViewProperties {
    tabs: ReactNode[];
    activeTextStyle: TextStyle;
    defaultTextStyle: TextStyle;
    tabBarStyle: ViewStyle;
    tabUnderLineStyle: ViewStyle;
    goToScene: (index?: number) => void;
    activeTab: number;
}
export declare class TabBarDefaultProps implements TabBarProps {
    tabs: any[];
    activeTextStyle: number & {
        __registeredStyleBrand: TextStyle;
    };
    defaultTextStyle: any;
    tabBarStyle: number & {
        __registeredStyleBrand: ViewStyle;
    };
    tabUnderLineStyle: any;
    goToScene: () => void;
    activeTab: any;
}
export interface TabBarStates {
    tabWidth: number;
    offset: Animated.Value;
    prevActive: number;
    marginLeft: number;
}
export declare class TabBarDefaultStates implements TabBarDefaultStates {
    constructor(offset: Animated.Value, marginLeft: number);
    tabWidth: number;
    offset: any;
    prevActive: number;
    marginLeft: any;
}
export default class TabBar extends Component<TabBarProps, TabBarStates> {
    static defaultProps: TabBarProps;
    constructor(props: any);
    componentWillUpdate(nextProps: any): void;
    onPress: (key: any, onPressHandler: any) => void;
    _Animated: (index: any) => void;
    renderTab: (tabLabel: any, key: any, onPressHandler: any) => JSX.Element;
    render(): JSX.Element;
}
